Subject: [Fwd: Bug report.]

From: Thomas Lockhart <[email-masked]>
Date: Tue, 04 May 1999 13:17:49 +0000

It is best to post these reports to a mailing list. I believe that
this specific topic was discussed recently. Look in the mhonarc
mailing list archives on www.postgresql.org for more details.

Good luck.

                     - Tom

-- 
Thomas Lockhart				[email-masked]
South Pasadena, California

Subject: Bug report.
From: Atanas Kolev <[email-masked]>
To: [email-masked]
Date: Tue, 04 May 1999 12:04:31 +0300

============================================================================

                        POSTGRESQL BUG REPORT
============================================================================

Your name  : Atanas Kolev
Your email address : [email-masked]

System Configuration
---------------------
  Architecture (example: Intel Pentium)   : Intel Pentium II

  Operating System (example: Linux 2.0.26 ELF)  : Red Hat Linux 5.2 ELF
kernel 2.0.36-3

  PostgreSQL version (example: PostgreSQL-6.3.2)  :
PostgreSQL-6.3.2-10

  Compiler used (example:  gcc 2.7.2)  : gcc-2.7.2.3-14

Please enter a FULL description of your problem:
------------------------------------------------
I am building new data base named das and have created one table named
das_point. I have prepared text file with sequence of INSERT commands of

approximately 5000 records, file named points_dbase.sql. When i try to
run it
from psql interactive monitor using \i points_dbase.sql 258 records are
successfully inserted and after that a lot of error message appears:

query buffer max length of 20000 exceeded
query line ignored
4,
query buffer max length of 20000 exceeded
query line ignored
0080,
query buffer max length of 20000 exceeded
query line ignored
0001,
query buffer max length of 20000 exceeded
query line ignored
     0.1,
query buffer max length of 20000 exceeded
query line ignored
0001,
query buffer max length of 20000 exceeded
query line ignored
     -40,
query buffer max length of 20000 exceeded
query line ignored
...
...
...
query buffer max length of 20000 exceeded
query line ignored
'today'
query buffer max length of 20000 exceeded
query line ignored
);
PQexec() -- query is too long.  Maximum length is 8191
query buffer max length of 20000 exceeded
query line ignored
Segmentation fault (core dumped)

Please describe a way to repeat the problem.   Please try to provide a
concise reproducible example, if at all possible:
----------------------------------------------------------------------

files das_creation and points_dbase.sql are attached in mail message.
The sequence of commands i am executing is next:

createdb das
psql das
\i das_creation
\i points_dbase.sql

If you know how this problem might be fixed, list the solution below:
---------------------------------------------------------------------

Do not know.